package com.scpyun.platform.jilinsscgsdp.bean.entity;

import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Objects;

public class FocusAreas {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 业务id
     */
    private String fid;

    /**
     * 纠纷大类
     */
    private String eventCategoryId;


    /**
     * 百分比
     */
    private BigDecimal percentage;


    /**
     * 总数
     */
    private Integer count;

    /**
     * 统计时间
     */
    private String statisticalTime;

    /**
     * 区id
     */
    private String regionCode;

    /**
     * 区域化等级
     */
    private Integer areaLevel;

    /**
     * 风险等级
     */
    private Integer alarmLevel;

    public FocusAreas() {
    }

    public FocusAreas(Long id, String fid, String eventCategoryId, BigDecimal percentage, Integer count, String statisticalTime, String regionCode, Integer areaLevel, Integer alarmLevel) {
        this.id = id;
        this.fid = fid;
        this.eventCategoryId = eventCategoryId;
        this.percentage = percentage;
        this.count = count;
        this.statisticalTime = statisticalTime;
        this.regionCode = regionCode;
        this.areaLevel = areaLevel;
        this.alarmLevel = alarmLevel;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFid() {
        return fid;
    }

    public void setFid(String fid) {
        this.fid = fid;
    }

    public String getEventCategoryId() {
        return eventCategoryId;
    }

    public void setEventCategoryId(String eventCategoryId) {
        this.eventCategoryId = eventCategoryId;
    }

    public BigDecimal getPercentage() {
        return percentage;
    }

    public void setPercentage(BigDecimal percentage) {
        this.percentage = percentage;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getStatisticalTime() {
        return statisticalTime;
    }

    public void setStatisticalTime(String statisticalTime) {
        this.statisticalTime = statisticalTime;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public Integer getAreaLevel() {
        return areaLevel;
    }

    public void setAreaLevel(Integer areaLevel) {
        this.areaLevel = areaLevel;
    }

    public Integer getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(Integer alarmLevel) {
        this.alarmLevel = alarmLevel;
    }
}
